Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.core
Class AlohaRanger

    java.lang.Object
      org.ka2ddo.yaac.core.AlohaRanger

    public class AlohaRanger

extends java.lang.Object

This class collects the station information involved in a particular port's aloha circle calculation.

Field Summary
`Connector` | `port`

Method Summary
`StationState` | `getMostDistantStation()` Get the station that set the perimeter of the Aloha circle.
`int` | `getNumDigis()` Get the number of digipeaters counted up for this aloha circle.
`int` | `getNumMsgs()` Get the number of messages counted up for this aloha circle.
`Connector` | `getPort()`
`double` | `getRangeM()` Get the range to the perimeter of this aloha circle.
`boolean` | `isMaxedOut()` Report whether this Aloha report is a complete report, or where not enough traffic has been detected to indicate a saturated channel.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### port

    public final Connector port

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getPort

    public Connector getPort()

### getNumDigis

    public int getNumDigis()

  Get the number of digipeaters counted up for this aloha circle.

  Returns:
    estimated digipeater count

### getNumMsgs

    public int getNumMsgs()

  Get the number of messages counted up for this aloha circle.

  Returns:
    estimated message count

### getRangeM

    public double getRangeM()

  Get the range to the perimeter of this aloha circle.

  Returns:
    range to circle perimeter in meters

### getMostDistantStation

    public StationState getMostDistantStation()

  Get the station that set the perimeter of the Aloha circle.

  Returns:
    StationState of the most distant station on the circle

### isMaxedOut

    public boolean isMaxedOut()

  Report whether this Aloha report is a complete report, or where not enough traffic has been detected to indicate a saturated channel.

  Returns:
    boolean true if channel is saturated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD